<?php

namespace domain\User\UserGroup;

use domain\_\AbstractModule;

class UserGroupModule extends AbstractModule
{
    public function getServices(): array
    {
        return [
            UserGroupDefinition::class,
            UserGroupBuilder::class,
            UserGroupRepository::class
        ];
    }

    public function getDefinition(): UserGroupDefinition
    {
        return UserGroupDefinition::getInstance();
    }

    public function getBuilder(): UserGroupBuilder
    {
        return UserGroupBuilder::getInstance();
    }

    public function getRepository(): UserGroupRepository
    {
        return UserGroupRepository::getInstance();
    }
}